# Interface ClusterValve

All Superinterfaces:
  `Valve`

All Known Implementing Classes:
  `ClusterSingleSignOn`, `JvmRouteBinderValve`, `ReplicationValve`

public interface ClusterValve extends Valve
Cluster valves are a simple extension to the Tomcat valve architecture with a small addition of being able to reference the cluster component in the container it sits in.

Author:
  Peter Rossbach

## Method Summary

Modifier and Type
Method
Description
`CatalinaCluster`
`getCluster()`
Returns the cluster the valve is associated with
`void`
`setCluster(CatalinaCluster cluster)`
Associates the cluster deployer with a cluster

### Methods inherited from interface org.apache.catalina.Valve

`backgroundProcess, getNext, invoke, isAsyncSupported, setNext`

## Method Details

### getCluster

CatalinaCluster getCluster()
Returns the cluster the valve is associated with

Returns:
  CatalinaCluster

### setCluster

void setCluster(CatalinaCluster cluster)
Associates the cluster deployer with a cluster

Parameters:
  `cluster` - CatalinaCluster